/* GtkUnique - Single Instance Application library
 * gtkuniqueversion.h: Versioning macros
 *
 * Copyright (C) 2006  Emmanuele Bassi  <ebassi@o-hand.com>
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA
 * 02110-1301 USA
 */

#ifndef __GTK_UNIQUE_VERSION_H__
#define __GTK_UNIQUE_VERSION_H__

#define GTK_UNIQUE_MAJOR_VERSION        0
#define GTK_UNIQUE_MINOR_VERSION        9
#define GTK_UNIQUE_MICRO_VERSION        1

#define GTK_UNIQUE_API_VERSION          1.0

#define GTK_UNIQUE_CHECK_VERSION(major,minor,micro) \
        ((GTK_UNIQUE_MAJOR_VERSION > (major)) || \
         (GTK_UNIQUE_MAJOR_VERSION == (major) && GTK_UNIQUE_MINOR_VERSION > (minor)) || \
         (GTK_UNIQUE_MAJOR_VERSION == (major) && GTK_UNIQUE_MINOR_VERSION == (minor) && \
          GTK_UNIQUE_MICRO_VERSION > (micro)))

#endif /* __GTK_UNIQUE_VERSION_H__ */
